Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.system
Class ContextAdapter

    java.lang.Object
      |
      +--com.ibm.aglet.system.ContextAdapter

All Implemented Interfaces:
  ContextListener, java.util.EventListener

public class ContextAdapter
extends java.lang.Object
implements ContextListener

The adapter which receives aglet context events. This class is provided as convenience for easily creating listerns by extending this class and overriding only the methods of interest.

Version:
  1.00 $Date: 2001/07/28 06:34:07 $
Author:
  Misturu Oshima

Constructor Summary
`ContextAdapter()`

Method Summary
`void` | `agletActivated(ContextEvent ev)` Called when an aglet has been activated
`void` | `agletAdded(ContextEvent ev)`
`void` | `agletArrived(ContextEvent ev)` Called when an aglet has arrived
`void` | `agletCloned(ContextEvent ev)` Called when an aglet has been cloned
`void` | `agletCreated(ContextEvent ev)` Called when an aglet has been created
`void` | `agletDeactivated(ContextEvent ev)` Called when an aglet has been deactivated
`void` | `agletDispatched(ContextEvent ev)` Called when an aglet has been dispatched
`void` | `agletDisposed(ContextEvent ev)` Called when an aglet has been disposed
`void` | `agletRemoved(ContextEvent ev)`
`void` | `agletResumed(ContextEvent ev)` Called when an aglet has been resumed
`void` | `agletReverted(ContextEvent ev)` Called when an aglet has been reverted.
`void` | `agletStateChanged(ContextEvent ev)` Called when the state of an aglet has changed.
`void` | `agletSuspended(ContextEvent ev)` Called when an aglet has been suspended
`void` | `contextShutdown(ContextEvent ev)` Called when shutting down
`void` | `contextStarted(ContextEvent ev)` Called when the context is started.
`void` | `showDocument(ContextEvent ev)` Called when an aglet request to show the document given as URL
`void` | `showMessage(ContextEvent ev)` Called to show the message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextAdapter

    public ContextAdapter()

Method Detail

### agletActivated

    public void agletActivated(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been activated
  Specified by:
    `agletActivated` in interface `ContextListener`

### agletAdded

    public void agletAdded(ContextEvent ev)

### agletArrived

    public void agletArrived(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has arrived
  Specified by:
    `agletArrived` in interface `ContextListener`

### agletCloned

    public void agletCloned(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been cloned
  Specified by:
    `agletCloned` in interface `ContextListener`

### agletCreated

    public void agletCreated(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been created
  Specified by:
    `agletCreated` in interface `ContextListener`

### agletDeactivated

    public void agletDeactivated(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been deactivated
  Specified by:
    `agletDeactivated` in interface `ContextListener`

### agletDispatched

    public void agletDispatched(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been dispatched
  Specified by:
    `agletDispatched` in interface `ContextListener`

### agletDisposed

    public void agletDisposed(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been disposed
  Specified by:
    `agletDisposed` in interface `ContextListener`

### agletRemoved

    public void agletRemoved(ContextEvent ev)

### agletResumed

    public void agletResumed(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been resumed
  Specified by:
    `agletResumed` in interface `ContextListener`

### agletReverted

    public void agletReverted(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been reverted.
  Specified by:
    `agletReverted` in interface `ContextListener`

### agletStateChanged

    public void agletStateChanged(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when the state of an aglet has changed.
  Specified by:
    `agletStateChanged` in interface `ContextListener`

### agletSuspended

    public void agletSuspended(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet has been suspended
  Specified by:
    `agletSuspended` in interface `ContextListener`

### contextShutdown

    public void contextShutdown(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when shutting down
  Specified by:
    `contextShutdown` in interface `ContextListener`

### contextStarted

    public void contextStarted(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when the context is started.
  Specified by:
    `contextStarted` in interface `ContextListener`

### showDocument

    public void showDocument(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called when an aglet request to show the document given as URL
  Specified by:
    `showDocument` in interface `ContextListener`
  Following copied from interface: `com.ibm.aglet.system.ContextListener`
  See Also:
    `Aglet#showDocument`

### showMessage

    public void showMessage(ContextEvent ev)

  Description copied from interface: `ContextListener`
  Called to show the message
  Specified by:
    `showMessage` in interface `ContextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD